
#ifndef _AMESIS_
#define _AMESIS_

#define MAX_IF          16
#define DEF_SNAPLEN     1500

#define MODE_DEAD       0
#define MODE_LIVE       1
#define MODE_READ	2

typedef struct interfaces {
	int mode;
	char *if_name;
	char *log_name;
	pcap_dumper_t *log_desc;
	int link_type;
	int linkh_len;
	pcap_t *pfd;
	char *bpf_rule;
	bpf_u_int32 localnet;
	bpf_u_int32 netmask;
} ifs, *pifs;


/* prototypes */
int log_info(const char *fmt, ...);
int log_warn(const char *fmt, ...);
int log_debug(const char *fmt, ...);
int usage(void);
void sigfunc(int);
int link_len(int type);
int handle_packets(pifs pif, const unsigned char *pack, struct pcap_pkthdr h);

#endif
